> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Multiple BIN Lookups



## OpenAPI

````yaml POST /bins/multiple
openapi: 3.0.1
info:
  title: Parrot API
  version: parrot-api
servers:
  - url: https://parrot.sandbox.pagosapi.com
  - url: https://parrot.prod.pagosapi.com
security:
  - bearerAuth: []
paths:
  /bins/multiple:
    post:
      tags:
        - Parrot API v3
      summary: Multiple BIN lookup (50 item limit)
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMultipleCardsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/GetMultipleCardsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/GetMultipleCardsRequest'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/GetMultipleCardsResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/GetMultipleCardsResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/GetMultipleCardsResponse'
        '403':
          description: Client not enrolled in Parrot
components:
  schemas:
    GetMultipleCardsRequest:
      required:
        - cards
      type: object
      properties:
        enhanced:
          type: boolean
        cards:
          maxItems: 50
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/GetMultipleCardsRequestCard'
      additionalProperties: false
    GetMultipleCardsResponse:
      type: object
      properties:
        cards:
          type: array
          items:
            $ref: '#/components/schemas/GetMultipleCardsResponseEntry'
          nullable: true
      additionalProperties: false
    GetMultipleCardsRequestCard:
      required:
        - card
      type: object
      properties:
        card:
          maxLength: 10
          minLength: 6
          pattern: ^\d+(\.\d+)?$
          type: string
      additionalProperties: false
    GetMultipleCardsResponseEntry:
      type: object
      properties:
        bin:
          type: string
          nullable: true
        data:
          $ref: '#/components/schemas/EnhancedBinApiResponse'
        error:
          type: string
          nullable: true
      additionalProperties: false
    EnhancedBinApiResponse:
      type: object
      properties:
        card:
          $ref: '#/components/schemas/EnhancedCard'
      additionalProperties: false
    EnhancedCard:
      type: object
      properties:
        number:
          $ref: '#/components/schemas/Number'
        bin_length:
          type: integer
          format: int32
          nullable: true
        pagos_bin_length:
          type: integer
          format: int32
          nullable: true
        bin_min:
          type: string
          nullable: true
        bin_max:
          type: string
          nullable: true
        pan_or_token:
          type: string
          nullable: true
        virtual_card:
          type: boolean
          nullable: true
        level2:
          type: boolean
          nullable: true
        level3:
          type: boolean
          nullable: true
        alm:
          type: boolean
          nullable: true
        account_updater:
          type: boolean
          nullable: true
        domestic_only:
          type: boolean
          nullable: true
        gambling_blocked:
          type: boolean
          nullable: true
        issuer_currency:
          type: string
          nullable: true
        reloadable:
          type: boolean
          nullable: true
        additional_card_brands:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalNetwork'
          nullable: true
        card_brand:
          type: string
          nullable: true
        card_segment_type:
          type: string
          nullable: true
        combo_card:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        funding_source:
          type: string
          nullable: true
        prepaid:
          type: boolean
          nullable: true
        product:
          $ref: '#/components/schemas/Product'
        bank:
          $ref: '#/components/schemas/Bank'
        country:
          $ref: '#/components/schemas/Country'
        authentication:
          $ref: '#/components/schemas/Authentication'
        cost:
          $ref: '#/components/schemas/Cost'
        networkfees:
          $ref: '#/components/schemas/Networkfees'
        correlation_id:
          type: string
          nullable: true
        issuer_supports_tokenization:
          type: boolean
          nullable: true
        multi_account_access_indicator:
          type: string
          nullable: true
        shared_bin:
          type: boolean
        flagged_for_delete_remaining_wks:
          type: integer
          format: int32
          nullable: true
          description: >-
            Countdown in weeks until this BIN range is removed. Null when BIN is
            active.
      additionalProperties: false
    Number:
      type: object
      properties:
        length:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
    AdditionalNetwork:
      type: object
      properties:
        card_brand:
          type: string
          nullable: true
        bin_max:
          type: string
          nullable: true
        bin_min:
          type: string
          nullable: true
        card_brand_product:
          type: string
          nullable: true
        card_brand_bank_name:
          type: string
          nullable: true
        ecom_enabled:
          type: boolean
          nullable: true
        billpay_enabled:
          type: boolean
          nullable: true
      additionalProperties: false
    Product:
      type: object
      properties:
        product_id:
          type: string
          nullable: true
        product_name:
          type: string
          nullable: true
      additionalProperties: false
    Bank:
      type: object
      properties:
        name:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        clean_name:
          type: string
          nullable: true
      additionalProperties: false
    Country:
      type: object
      properties:
        alpha2:
          type: string
          nullable: true
        numeric:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
      additionalProperties: false
    Authentication:
      type: object
      properties:
        authentication_required:
          type: boolean
        authentication_name:
          type: string
          nullable: true
      additionalProperties: false
    Cost:
      type: object
      properties:
        interchange:
          $ref: '#/components/schemas/Interchange'
      additionalProperties: false
    Networkfees:
      type: object
      additionalProperties: false
    Interchange:
      type: object
      properties:
        regulated:
          type: boolean
        regulated_name:
          type: string
          nullable: true
        domestic:
          $ref: '#/components/schemas/CostDto'
        inter:
          $ref: '#/components/schemas/CostDto'
        intra:
          $ref: '#/components/schemas/CostDto'
        notes:
          type: string
          nullable: true
      additionalProperties: false
    CostDto:
      type: object
      properties:
        cap_region_shortname:
          type: string
          nullable: true
        cap_advalorem_amount:
          type: string
          nullable: true
        cap_type_name:
          type: string
          nullable: true
        cap_fixed_amount:
          type: string
          nullable: true
        cap_type_qualifier_currency:
          type: string
          nullable: true
        cap_type_qualifier_text:
          type: string
          nullable: true
        cap_type_qualifier_lower:
          type: string
          nullable: true
        cap_type_qualifier_upper:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Format is: `Bearer <api_key>`, where `<api_key>` is your Pagos API key'

````